### Signal

# Gtk Widget::state-flags-changed

#### Declaration

    void
    state_flags_changed (
      GtkWidget self,
      GtkStateFlags flags,
      gpointer user_data
    )

#### Description [src]

Emitted when the widget state changes.

See gtk_widget_get_state_flags().

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`flags` | `GtkStateFlags`
| The previous state flags.